Module | Bio::PDB::DataType::Pdb_Real
In: | lib/bio/db/pdb/pdb.rb

### Methods

[] new

### Public Class methods

[](fmt)

[Source]

         # File lib/bio/db/pdb/pdb.rb, line 128
    128:         def self.[](fmt)
    129:           m = Module.new
    130:           m.module_eval %Q{
    131:             @@format = fmt
    132:             def self.new(str)
    133:               str.to_f
    134:             end
    135:           }
    136:           m
    137:         end

new(str)

[Source]

         # File lib/bio/db/pdb/pdb.rb, line 138
    138:         def self.new(str)
    139:           str.to_f
    140:         end

[Validate]